Bug 566135

Summary: kdump: waiting for required block device discovery
Product: [Fedora] Fedora Reporter: Eugene Teo (Security Response) <eteo>
Component: kernelAssignee: Neil Horman <nhorman>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: 12CC: anton, dougsland, eteo, gansalmon, itamar, jonathan, kernel-maint, nhorman
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: kexec-tools-2.0.0-32.fc12 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-02-20 00:26:49 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Eugene Teo (Security Response) 2010-02-17 11:57:38 UTC
Description of problem:
Configured kdump on Fedora 12 (guest on VMware Fusion).

kexec-tools-2.0.0-28.fc12.x86_64
system-config-kdump-2.0.2-2.fc12.noarch
kernel-2.6.31.12-174.2.19.fc12.x86_64

title Fedora (2.6.31.12-174.2.19.fc12.x86_64)
	root (hd0,0)
	kernel /vmlinuz-2.6.31.12-174.2.19.fc12.x86_64 ro root=/dev/mapper/VolGroup-lv_root crashkernel=128M
	initrd /initramfs-2.6.31.12-174.2.19.fc12.x86_64.img

couldn't start kdump with:
/etc/init.d/kdump start

but managed to start it with:
sh -x /etc/init.d/kdump start

After kdump is operational, I tried to test it with:
echo c > /proc/sysrq-trigger

panic, reboots, etc...

then it seems to block forever at:
Waiting for required block device discovery
Waiting for sda...

Comment 1 Neil Horman 2010-02-17 13:11:55 UTC
This is a kexec tools problem.  Theres not much I can do about it unfortunately until I get the new config mechanism done, until then I have a DISK_TIMEOUT parameter patch that I need to add.  I'll get to that shortly.

Comment 2 Neil Horman 2010-02-17 17:59:49 UTC
fixed in -32.fc12

Comment 3 Fedora Update System 2010-02-17 18:12:32 UTC
kexec-tools-2.0.0-32.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/kexec-tools-2.0.0-32.fc12

Comment 4 Eugene Teo (Security Response) 2010-02-18 00:43:53 UTC
Sorry, an update: I updated fc12, went to sleep, woke up, and retried this. Now it doesn't block at "Waiting for sda", but it stopped at "Available volumes.." part forever.

Comment 5 Neil Horman 2010-02-18 01:52:37 UTC
did you add the appropriate configuration to kdump.conf? If you did and it didn't help, I expect you have found a different issue

Comment 6 Eugene Teo (Security Response) 2010-02-18 01:57:30 UTC
Hi Neil, Hmm, what configuration should I be adding to kdump.conf? I'm using the default /var/crash path to store the crash dumps, and /var/crash is on the default / partition. Thanks.

Comment 7 Neil Horman 2010-02-18 02:03:34 UTC
The disk_timeout parameter, see the kdump.conf man page.

Comment 8 Eugene Teo (Security Response) 2010-02-18 02:08:35 UTC
Will do that in a moment, thanks.

Comment 9 Fedora Update System 2010-02-20 00:26:44 UTC
kexec-tools-2.0.0-32.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.